/*
 * A4JOutputPanelTestBean.java		Date created: 11.06.2008
 * Last modified by: $Author: alevkovsky $
 * $Revision: 9278 $	$Date: 2008-06-27 17:02:32 +0300 $
 */

package org.ajax4jsf.bean;

/**
 * A4JOutputPanel Test Bean
 * @author Alexandr Levkovsky
 *
 */
public class A4JOutputPanelTestBean {
    
    private Boolean panel1VisibleFlag = true;
    private Boolean panel2VisibleFlag = true;
    private Boolean panel3VisibleFlag = true;
    private Boolean panel4VisibleFlag = true;
    
    /**
     * @return the panel1VisibleFlag
     */
    public Boolean getPanel1VisibleFlag() {
        return panel1VisibleFlag;
    }
    
    /**
     * @param panel1VisibleFlag the panel1VisibleFlag to set
     */
    public void setPanel1VisibleFlag(Boolean panel1VisibleFlag) {
        this.panel1VisibleFlag = panel1VisibleFlag;
    }
    
    /**
     * @return the panel2VisibleFlag
     */
    public Boolean getPanel2VisibleFlag() {
        return panel2VisibleFlag;
    }
    
    /**
     * @param panel2VisibleFlag the panel2VisibleFlag to set
     */
    public void setPanel2VisibleFlag(Boolean panel2VisibleFlag) {
        this.panel2VisibleFlag = panel2VisibleFlag;
    }
    
    /**
     * @return the panel3VisibleFlag
     */
    public Boolean getPanel3VisibleFlag() {
        return panel3VisibleFlag;
    }
    
    /**
     * @param panel3VisibleFlag the panel3VisibleFlag to set
     */
    public void setPanel3VisibleFlag(Boolean panel3VisibleFlag) {
        this.panel3VisibleFlag = panel3VisibleFlag;
    }
         
    /**
     * @return the panel4VisibleFlag
     */
    public Boolean getPanel4VisibleFlag() {
        return panel4VisibleFlag;
    }
    
    /**
     * @param panel4VisibleFlag the panel4VisibleFlag to set
     */
    public void setPanel4VisibleFlag(Boolean panel4VisibleFlag) {
        this.panel4VisibleFlag = panel4VisibleFlag;
    }
    
    public String b1Action(){
	setPanel2VisibleFlag(false);
	return null;
    }
    
    public String b2Action(){
	setPanel1VisibleFlag(false);
	setPanel2VisibleFlag(false);
	return null;
    }
    
    public String b3Action(){
	setPanel3VisibleFlag(false);
	return null;
    }
    
    public String b4Action(){
	setPanel4VisibleFlag(false);
	return null;
    }
    
    public String reset(){
	setPanel1VisibleFlag(true);
	setPanel2VisibleFlag(true);
	setPanel3VisibleFlag(true);
	setPanel4VisibleFlag(true);
	return null;
    }
}
